sub orantArclog
# -----------------------------------------------------------------------------
{
  ($thishost) = @_;
  #
  # Check Oracle to see if arclogs are configured ok and dir not full
  #

  if ($t_arclog_w[$thishost] eq "N")
  {
    logit("(Not Selected (T_Arclog_Full: is N)",$thishost);
    return 1;
  }

  if ($up[$thishost] ne "Y")
  {
    logit("(down/inhibited)",$thishost);
    return 1;
  }

  if (&check_inhib($thishost) eq "Y")
  {
    $up[$thishost] = "I";
    return;
  }

  if ($t_arclog_w[$thishost] eq "") { $t_arclog_w[$thishost] = "90" }
  if ($t_arclog_c[$thishost] eq "") { $t_arclog_c[$thishost] = "95" }
  
  &remsh("$perlpath[$thishost] $probe[$thishost] $orasid[$thishost] arclogs $t_arclog_w[$thishost] $t_arclog_c[$thishost] $t_arclog_cmd[$thishost]",$tmpfl3,$thishost);
  &probeLog;

  $arcdest = "";
  $arcdrive = "";
  $arcdrivecount = "";
  $arcdrivesize  = "";
  $arcdrivefree = "";
  $arcdriveused = "";
  $arcdrivepct = "";
  $arclog[$thishost] = "NoArcLog";
  $arclogflag[$thishost] = ""; 

  open(TMPFL3,  "$tmpfl3") || &error_msg("Can't open output $tmpfl3 - $!");
  while (<TMPFL3>)
  {
    &parse;
    if ($F1 eq "Log_Mode:" && $F2 eq "ARCHIVELOG") { $arclog[$thishost] = "ArcLog" }

    if ($F1 eq "Log_Dest:")         { $arcdest = $F2 }
    if ($F1 eq "Log_Drive:")        { $arcdrive = $F2 }
    if ($F1 eq "Log_Drive_Count:")  { $arcdrivecount = $F2 }
    if ($F1 eq "Log_Drive_Size:")   { $arcdrivesize = $F2 }
    if ($F1 eq "Log_Drive_Free:")   { $arcdrivefree = $F2 }
    if ($F1 eq "Log_Drive_Used:")   { $arcdriveused = $F2 }
    if ($F1 eq "Log_Drive_Pct:")    { $arcdrivepct = $F2 }
    if ($F1 eq "Log_Flag:")         { $arclogflag[$thishost] = $F2 }
  }
  close(TMPFL3);

  if ($arclogflag[$thishost] eq "W")
  {
    &event("W",$thishost,"Oracle Archive Log Dest. Drive: $arcdrive is ${arcdrivepct}% Full - Warning (Threshold: ${t_arclog_w[$thishost]}%)","ArcLgFull","DBA641W",$tmpfl3);
  }
  if ($arclogflag[$thishost] eq "S")
  {
    &event("W",$thishost,"Either: (1) NT srvinfo Command Did Not Run -or- (2) NT srvinfo Command Did Not Find The ARCLOG Disk -- Something Is Wrong","ArcLgRESKIT","DBA644W",$tmpfl3);
  }
  if ($arclogflag[$thishost] eq "C")
  {
    &event("C",$thishost,"Oracle Archive Log Dest. Drive: $arcdrive is ${arcdrivepct}% Full - Critical (Threshold: ${t_arclog_c[$thishost]}%)","ArcLg","DBA642C",$tmpfl3);
  }
  if ($arclogflag[$thishost] eq "N")
  {
    &event("C",$thishost,"Oracle Archive Logging is On; But Auto Archiving is Off","ArcLgOff","DBA643C",$tmpfl3);
  }
  if ($arclogflag[$thishost] eq "")
  {
    $msg = sprintf("OK - Arclog Drive %s is %s%% Full",$arcdrive,$arcdrivepct);
    &logit($msg,$thishost);
  }
  &logDetails($thishost,"</table>");
  &logDetails($thishost,"<h3>Oracle Archive Log Status</h3>");
  &logDetails($thishost,"<table border=1 bgcolor=$table_bgcolor>");
  &logDetails($thishost,"<tr bgcolor=$table_headbgcolor><th>$f_s Parameter<th>$f_s Value<th>$f_s Comments</tr>");
  &logDetails($thishost,"<tr><td>$f_s <b>ArchiveLog Mode:<td>$f_s $arclog[$thishost]");
  &logDetails($thishost,"<tr><td>$f_s <b>Archive Dest:<td>$f_s $arcdest<td>$f_s (From init.ora)");
  &logDetails($thishost,"<tr><td>$f_s <b>Archive Drive:<td>$f_s $arcdrive");
  &logDetails($thishost,"<tr><td>$f_s <b>Archive Drive Size:<td>$f_s $arcdrivesize");
  &logDetails($thishost,"<tr><td>$f_s <b>Archive Drive Free:<td>$f_s $arcdrivefree");
  &logDetails($thishost,"<tr><td>$f_s <b>Archive Drive Used:<td>$f_s $arcdriveused");
  &logDetails($thishost,"<tr><td>$f_s <b>Archive Drive Pct. Full:<td>$f_s $arcdrivepct");
  &logDetails($thishost,"<tr><td>$f_s <b>Archive Status Flag:<td>$f_s $arclogflag[$thishost]");
  &logDetails($thishost,"</table><hr>");
}

# -----------------------------------------------------------------------------
1;
